# $Revision: 1.37 $, $Date: 2011/11/10 16:15:10 $
Summary:	C++ class library for symbolic calculations
Summary(pl.UTF-8):	Biblioteka klas C++ do obliczeń symbolicznych
Name:		GiNaC
Version:	1.6.2
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	ftp://ftpthep.physik.uni-mainz.de/pub/GiNaC/ginac-%{version}.tar.bz2
# Source0-md5:	4cfdd286ab0c32981ec1c9c779e87eb9
Patch0:		%{name}-info.patch
URL:		http://www.ginac.de/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.8
BuildRequires:	bison >= 2.3
BuildRequires:	cln-devel >= 1.2.2
BuildRequires:	gettext-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	texinfo
Requires:	cln >= 1.2.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GiNaC (which stands for "GiNaC is Not a CAS (Computer Algebra
System)") is an open framework for symbolic computation within the C++
programming language.

%description -l pl.UTF-8
GiNaC (co oznacza "GiNaC is Not a CAS (Computer Algebra System)") to
otwarty szkielet do obliczeń symbolicznych w języku programowania C++.

%package devel
Summary:	Header files and more to develop GiNaC applications
Summary(pl.UTF-8):	Pliki nagłówkowe i inne do tworzenia aplikacji GiNaC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cln-devel >= 1.2.2
Requires:	libstdc++-devel

%description devel
This package contains include files and other resources you can use to
develop GiNaC applications.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe i inne zasoby, których można
używać do rozwiajania aplikacji opartych na GiNaC.

%package static
Summary:	Static GiNaC library
Summary(pl.UTF-8):	Statyczna biblioteka GiNaC
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GiNaC library.

%description static -l pl.UTF-8
Statyczna biblioteka GiNaC.

%package utils
Summary:	GiNaC-related utilities
Summary(pl.UTF-8):	Narzędzia związane z GiNaC
Group:		Applications/Science
Requires:	%{name} = %{version}-%{release}

%description utils
This package includes the ginsh ("GiNaC interactive shell") which
provides a simple and easy-to-use CAS-like interface to GiNaC for
non-programmers, and the tool "viewgar" which displays the contents of
GiNaC archives.

%description utils -l pl.UTF-8
Ten pakiet zawiera ginsh (interaktywną powłokę GiNaC, ktora udostępnia
prosty i łatwy w użyciu, podobny do CAS interfejs do GiNaC dla osób
nie będących programistami) oraz narzędzie viewgar, wyświetlające
zawartość archiwów GiNaC.

%prep
%setup -q -n ginac-%{version}
%patch0 -p1
%{__sed} -i -e 's/#include <iostream>/#include <cstdio>\n#include <iostream>/g' ginac/parser/lexer.cpp
# generated with wrong bison version, miscompiled by gcc 4.1+
#%{__rm} ginac/input_parser.{cc,h}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%{__make} check

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libginac.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libginac.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libginac.so
%{_libdir}/libginac.la
%{_includedir}/ginac
%{_infodir}/ginac.info*
%{_infodir}/ginac-examples.info*
%{_pkgconfigdir}/ginac.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libginac.a

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ginac-excompiler
%attr(755,root,root) %{_bindir}/ginsh
%attr(755,root,root) %{_bindir}/viewgar
%{_mandir}/man1/ginsh.1*
%{_mandir}/man1/viewgar.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: GiNaC.spec,v $
Revision 1.37  2011/11/10 16:15:10  qboosh
- updated to 1.6.2

Revision 1.36  2011/07/24 11:55:02  qboosh
- updated to 1.6.1

Revision 1.35  2011/05/28 06:35:02  qboosh
- updated to 1.6.0 (note: new soname)

Revision 1.34  2011/01/28 01:55:52  sparky
- BR: gettext-devel

Revision 1.33  2010/11/14 14:25:31  qboosh
- updated to 1.5.8

Revision 1.32  2009/12/31 19:19:44  arekm
- release 2

Revision 1.31  2009/05/30 18:42:14  amateja
- updated to 1.5.1

Revision 1.30  2009/02/23 22:12:30  arekm
- release 3

Revision 1.29  2008/11/04 18:07:08  qboosh
- versions

Revision 1.28  2008/11/02 19:50:18  arekm
- rel 2; rebuild am/ac (fixes build)

Revision 1.27  2008/08/31 14:03:45  qboosh
- updated to 1.4.3

Revision 1.26  2008/01/24 01:47:47  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.25  2008-01-24 01:42:48  glen
- fix-info-dir doesn't make sense in preun, moved to postun

Revision 1.24  2008-01-24 01:36:30  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.23  2007-12-26 22:46:33  qboosh
- updated to 1.4.1
- updated info patch

Revision 1.22  2007-09-05 17:19:12  baggins
- up to 1.4.0
- updated files

Revision 1.21  2007/02/12 21:21:30  glen
- tabs in preamle

Revision 1.20  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.19  2006/08/27 15:04:16  qboosh
- updated to 1.3.5

Revision 1.18  2006/04/17 10:19:01  qboosh
- updated to 1.3.4, removed obsolete c++ patch

Revision 1.17  2006/03/26 13:20:24  qboosh
- updated to 1.3.3, added c++ patch

Revision 1.16  2006/01/23 15:08:55  qboosh
- current policy is not to R: pkgconfig just because package has pkgconfig support

Revision 1.15  2006/01/19 17:54:13  qboosh
- current policy is not to R: automake just because package has aclocal support

Revision 1.14  2005/12/30 13:03:05  glen
- R: automake for -devel

Revision 1.13  2005/12/30 13:00:49  glen
- R: pkgconfig for -devel

Revision 1.12  2005/09/17 10:44:59  arekm
- readline 5.0

Revision 1.11  2005/05/19 22:29:59  qboosh
- updated to 1.3.1, added info patch

Revision 1.10  2004/11/01 13:56:44  qboosh
- updated to 1.3.0, segv patch seems obsolete

Revision 1.9  2004/08/03 19:19:31  qboosh
- added segv patch, fixed build on amd64, -devel deps; release 2

Revision 1.8  2004/06/27 12:38:04  grzegol
- updated to 1.2.1

Revision 1.7  2003/11/11 02:31:00  qboosh
- BR: automake (only for _aclocaldir macro expansion)

Revision 1.6  2003/06/23 09:44:52  qboosh
- fixed install - now builds

Revision 1.5  2003/06/10 11:07:32  qboosh
- there is no ginac.png, added missing preamble for -static

Revision 1.4  2003/06/06 20:18:41  qboosh
- pl, missing dir, finished demandrakization

Revision 1.3  2003/06/06 12:41:41  qboosh
- updated contact addresses

Revision 1.2  2003/05/30 14:46:39  qboosh
- killed some of mandrakisms, added md5

Revision 1.1  2003/05/30 14:30:26  qboosh
- added lost spec

Revision 1.2  2003/05/24 22:35:21  kloczek
- partialy rewrited.

Based on spec file from MDK.
